com.jacob.activeX

## Class ActiveXDispatchEvents

- java.lang.Object
- - com.jacob.com.JacobObject
  - - com.jacob.com.DispatchEvents
    - - com.jacob.activeX.ActiveXDispatchEvents

-     public class ActiveXDispatchEvents
      extends DispatchEvents

  RELEASE 1.12 EXPERIMENTAL.

  Use this exactly like the DispatchEvents class. This class plugs in an ActiveXInvocationProxy instead of an InvocationProxy. It is the ActiveXInvocationProxy that implements the reflection calls and invoke the found java event callbacks. See ActiveXInvocationProxy for details.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActiveXDispatchEvents(Dispatch sourceOfEvent, java.lang.Object eventSink)` This is the most commonly used constructor.
    `ActiveXDispatchEvents(Dispatch sourceOfEvent, java.lang.Object eventSink, java.lang.String progId)` None of the samples use this constructor.
    `ActiveXDispatchEvents(Dispatch sourceOfEvent, java.lang.Object eventSink, java.lang.String progId, java.lang.String typeLib)` Creates the event callback linkage between the the MS program represented by the Dispatch object and the Java object that will receive the callback.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected InvocationProxy` | `getInvocationProxy(java.lang.Object pTargetObject)` Returns an instance of the proxy configured with pTargetObject as its target

    - ### Methods inherited from class com.jacob.com.DispatchEvents

      `finalize, safeRelease`

    - ### Methods inherited from class com.jacob.com.JacobObject

      `debug, getBuildDate, getBuildVersion, isDebugEnabled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ActiveXDispatchEvents

          public ActiveXDispatchEvents(Dispatch sourceOfEvent,
                                       java.lang.Object eventSink)

      This is the most commonly used constructor.

      Creates the event callback linkage between the the MS program represented by the Dispatch object and the Java object that will receive the callback.

      Parameters:
        `sourceOfEvent` - Dispatch object who's MS app will generate callbacks
        `eventSink` - Java object that wants to receive the events

    - #### ActiveXDispatchEvents

          public ActiveXDispatchEvents(Dispatch sourceOfEvent,
                                       java.lang.Object eventSink,
                                       java.lang.String progId)

      None of the samples use this constructor.

      Creates the event callback linkage between the the MS program represented by the Dispatch object and the Java object that will receive the callback.

      Parameters:
        `sourceOfEvent` - Dispatch object who's MS app will generate callbacks
        `eventSink` - Java object that wants to receive the events
        `progId` - ???

    - #### ActiveXDispatchEvents

          public ActiveXDispatchEvents(Dispatch sourceOfEvent,
                                       java.lang.Object eventSink,
                                       java.lang.String progId,
                                       java.lang.String typeLib)

      Creates the event callback linkage between the the MS program represented by the Dispatch object and the Java object that will receive the callback.

           >ActiveXDispatchEvents de =
                                  new ActiveXDispatchEvents(someDispatch,someEventHAndler,
                                          "Excel.Application",
                                          "C:\\Program Files\\Microsoft Office\\OFFICE11\\EXCEL.EXE");

      Parameters:
        `sourceOfEvent` - Dispatch object who's MS app will generate callbacks
        `eventSink` - Java object that wants to receive the events
        `progId` - , mandatory if the typelib is specified
        `typeLib` - The location of the typelib to use

  - ### Method Detail

    - #### getInvocationProxy

          protected InvocationProxy getInvocationProxy(java.lang.Object pTargetObject)

      Description copied from class: `DispatchEvents`
      Returns an instance of the proxy configured with pTargetObject as its target
      Overrides:
        `getInvocationProxy` in class `DispatchEvents`
      Returns:
        InvocationProxy an instance of the proxy this DispatchEvents will send to the COM layer

http://jacob-project.sourceforge.net